/* Price Report Button Styles */
#wbs-wc-prrpt-modal-btn {
    display: inline-flex;
    gap: 5px;
    color: #a1a3a8;
    font-size: 14px;
    cursor: pointer;
    margin-top: 10px;
    transition: .3s;
    line-height: 1.4;
    user-select: none;
    align-items: center;
    font-weight: bold;
    font-variation-settings: "wght" 600;
}

#wbs-wc-prrpt-modal-btn svg {
    width: 20px;
    height: 20px;
    flex: none;
}

#wbs-wc-prrpt-modal-btn:hover {
    color: #005a87;
}

.single-product form.cart {
    flex-wrap: wrap;
}

/* modal */
#wbs-wc-prrpt-modal {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    display: none;
    overflow: hidden;
    outline: 0;
    background-color: #00000070;
    line-height: 1.5;
    font-size: 14px;
    color: #333;
}

@media (min-width: 575.98px) {
    #wbs-wc-prrpt-modal {
        font-size: 16px;
    }
}


#wbs-wc-prrpt-form {
    overflow: hidden;
}

.prrpt-modal-dialog {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    top: 0;
    width: 95%;
    max-width: 400px;
    max-height: 95%;
    transition: .3s;
    padding-top: 4em;
    display: flex;
    flex-direction: column;
    z-index: 2;
}

.show .prrpt-modal-dialog {
    animation: scaleIn 0.6s ease forwards;
}

@keyframes scaleIn {
    from {
        transform: translateX(-50%) translateY(-8rem) scale(1);
        /* opacity: 0; */
    }

    to {
        transform: translateX(-50%) translateY(0) scale(1);
        /* opacity: 1; */
    }
}

.prrpt-modal-content {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    border-radius: .5em;
    outline: 0;
    overflow: hidden;
    padding: 1em;
    max-height: 100%;
    background: #fff;
}

.prrpt-modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #f5f5f5;
    padding-bottom: .5em;
}

.prrpt-modal-header .close {
    all: unset;
    width: 1.8em;
    height: 1.8em;
    fill: #676767;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s;
    cursor: pointer;
}

.prrpt-modal-header .close:active {
    transform: scale(1.04);
}

.prrpt-modal-header .close:hover {
    transform: scale(1.04);
    opacity: 0.8;
}

.prrpt-modal-header .close i {
    vertical-align: bottom;
}

.prrpt-modal-body {
    position: relative;
    flex: 1 1 auto;
    padding: 1.25em 0 0 0.625em;
    overflow-y: auto;
    max-height: 100%;
}

.prrpt-modal-body::-webkit-scrollbar {
    width: 0.375em;
    height: 0.3125em;
}

.prrpt-modal-body::-webkit-scrollbar-track {
    background: #d4d4d4;
    border-radius: 0.625em;
}

.prrpt-modal-body::-webkit-scrollbar-thumb {
    background: rgb(80, 80, 80);
    border-radius: 0.625em;
    cursor: pointer;
}

.prrpt-modal-title .title {
    font-size: 1em;
    font-weight: bold;
    font-variation-settings: "wght" 400;
    display: block;
    margin-bottom: .4em;
}

.prrpt-modal-title .variations,
.prrpt-modal-title .product-name {
    font-size: .85em;
    opacity: .6;
}

.prrpt-form-row {
    margin-bottom: 1em;
}

.prrpt-form-row .title:not(.form-check-label) {
    margin-bottom: 0.75em;
}

.prrpt-form-row .title {
    display: block;
    font-size: 0.875em;
    font-weight: bold;
    font-variation-settings: "wght" 600;
}

.prrpt-form-row label.form-check-label {
    font-size: 0.8em;
}

.prrpt-form-row input[type="url"],
.prrpt-form-row input[type="text"],
.prrpt-form-row-price .prrpt-form-row-input {
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    padding: .6em .8em;
    display: flex;
    align-items: center;
    gap: .5em;
    width: 100%;

    transition: .3s;
    position: relative;
}

.prrpt-form-row-price .prrpt-form-row-input input,
.prrpt-form-row input[type="url"],
.prrpt-form-row input[type="text"] {
    font-size: 0.875em;
}

.prrpt-form-row-price .prrpt-form-row-input input {
    all: unset;
    flex: 1;
}

.prrpt-form-row-price .prrpt-form-row-input input.error::placeholder {
    opacity: 0;
}

.prrpt-form-row input[type="url"]:focus,
.prrpt-form-row input[type="text"]:focus,
.prrpt-form-row-price .prrpt-form-row-input:focus-within {
    border-color: #007cba;
}

.prrpt-form-row-price .unit {
    font-size: .8em;
    opacity: .6;
}

.error {
    font-size: 0.75em;
    color: #e00025;
    display: block;
    margin-top: 0.375em;
}

.prrpt-form-row-price .error {
    position: absolute;
    top: 50%;
    right: 1.8em;
    transform: translateY(-50%);
    margin: 0;
}

.prrpt-form-row .form-check {
    display: flex;
    align-items: center;
    gap: .5em;
}

.prrpt-form-row .form-check-input[type="checkbox"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff;
    margin: 0;
    font: inherit;
    color: currentColor;
    width: 1.15em;
    height: 1.15em;
    border: 0.15em solid #e0e0e0;
    border-radius: 0.25em;
    transform: translateY(-0.075em);
    display: grid;
    place-content: center;
    cursor: pointer;
    transition: 0.2s all ease-in-out;
}
.prrpt-form-row .form-check-input[type="checkbox"]:focus{
    outline: none;
}
.prrpt-form-row .form-check-input[type="checkbox"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em #007cba;
    background-color: #007cba;
    transform-origin: bottom left;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}

.prrpt-form-row .form-check-input[type="checkbox"]:checked {
    border-color: #007cba;
}

.prrpt-form-row .form-check-input[type="checkbox"]:checked::before {
    transform: scale(1);
}



.prrpt-form-row .form-check-input[type="checkbox"]:hover {
    border-color: #005a87;
}

#wbs-wc-prrpt-form-wrapper .btn {
    width: 100%;
}

#wbs-wc-prrpt-form-wrapper .alert {}

#wbs-wc-prrpt-form-wrapper {
    position: relative;
}

#wbs-wc-prrpt-form-wrapper .alert {
    all: unset;
    background-color: #ffffff81 !important;
    font-size: 1em !important;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    position: absolute;
    inset: 0;
    z-index: 4;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#wbs-wc-prrpt-form-wrapper .bg-danger {
    color: #d13838;
}

#wbs-wc-prrpt-form-wrapper .bg-success {
    color: #38d047;
}


#wbs-wc-prrpt-form-wrapper .bg-primary {
    color: #388dd1;
}